---
title: OffscreenCanvas()
slug: Web/API/OffscreenCanvas/OffscreenCanvas
tags:
  - API
  - Canvas
  - Constructor
  - Experimental
  - OffscreenCanvas
  - Reference
  - WebGL
---
<div>{{APIRef("Canvas API")}} {{SeeCompatTable}}</div>

<p>The <code><strong>OffscreenCanvas()</strong></code> constructor returns a newly instantiated {{domxref("OffscreenCanvas")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">new OffscreenCanvas(<em>width</em>, <em>height</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>width</code></dt>
 <dd>The width of the offscreen canvas.</dd>
 <dt><code>height</code></dt>
 <dd>The height of the offscreen canvas.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example creates a new offscreen canvas using the <code>OffscreenCanvas()</code> constructor. We then initialize a <a href="/en-US/docs/Web/API/WebGL_API">WebGL</a> context on it using the {{domxref("OffscreenCanvas.getContext()", "getContext()")}} method.</p>

<pre class="brush: js">let offscreen = new OffscreenCanvas(256, 256);
let gl = offscreen.getContext('webgl');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-offscreencanvas", "OffscreenCanvas()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OffscreenCanvas.OffscreenCanvas")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("OffscreenCanvas")}}, the interface this constructor belongs to</li>
</ul>
